cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Can only upgrade PHP to 5.4 despite having Linux Deluxe Plan

I am installing X-Cart e-commerce on a domain in my Linux Deluxe Hosting plan, and X-Cart requires PHP 5.6 to run.

 

The product info page clearly states that the Linux Deluxe plan allows you to install up to PHP 5.6 (https://www.godaddy.com/hosting/web-hosting)https://www.godaddy.com/hosting/web-hosting)

 

However, in my hosting panel, I can only update from PHP 5.3 to 5.4.

 

I am a little disappointed in the first place that while PHP 7 is the current version GoDaddy has it's servers running much older versions, but it's very frustrating to be advertised that the server can be upgraded to PHP 5.6 and there is no option for that.

4 REPLIES 4
Moderator
Moderator

Re: Can only upgrade PHP to 5.4 despite having Linux Deluxe Plan

Greetings @npavlovits,

 

Good questions. We tend to opt for proven stability vs. the freshest version...but to your concern: Are you using a Web Hosting Linux plan? Our older web hosting won't have 5.6 available, you would need to be using the CPanel version.

 

I hope that helps,

Thomas D. - GoDaddy | Community Moderator
24/7 support available at x.co/247support

Re: Can only upgrade PHP to 5.4 despite having Linux Deluxe Plan

Thanks for your reply @T-3D, I logged into the hosting account and it shows as Linux Deluxe with hosting configuration 2.2, I assume it must not be cPanel as I can't find anything mentioning it, the hosting plan started around 2013.

 

Is there a way to upgrade/switch to the new cPanel configuration?  The prices seem to be the same.  We run multiple domains from the one current hosting plan.

Community Manager
Community Manager

Re: Can only upgrade PHP to 5.4 despite having Linux Deluxe Plan

Hello @npavlovits, you'd want to get in touch with our live support teams to discuss your options for transitioning over to a cPanel hosting plan.  They'll be able to help you get that accomplished. Thanks.

 

MPC

Product Team
Product Team

Re: Can only upgrade PHP to 5.4 despite having Linux Deluxe Plan

@npavlovits

Exciting news to all GoDaddy cPanel users. Your account is now updated with the latest PHP 7.0 and 7.1! If you want to update, login to your cPanel dashboard. Then under the Software heading click “Select PHP version”. In the top left of the PHP selection page use the dropdown the PHP version you want and click set as current. You are now ready to go! But a heads-up before you update, I recommend you check you site for compatibility first. If you have any questions our customer support team is happy to help 24/7. Just call (480) 505-8877.

 - Paul Seguritan, cPanel Product Manager